Debian Bug report logs - #712051
ITP: libjavaewah-java -- Compressed variant of the Java bitset class

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jakub Adam <jakub.adam@ktknet.cz>

Date: Wed, 12 Jun 2013 15:15:02 UTC

Owned by: Jakub Adam <jakub.adam@ktknet.cz>

Severity: wishlist

Fixed in version libjavaewah-java/0.6.12-1

Done: Jakub Adam <jakub.adam@ktknet.cz>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#712051; Package wnpp. (Wed, 12 Jun 2013 15:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Adam <jakub.adam@ktknet.cz>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 12 Jun 2013 15:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Adam <jakub.adam@ktknet.cz>
To: submit@bugs.debian.org
Subject: ITP: libjavaewah-java -- Compressed variant of the Java bitset class
Date: Wed, 12 Jun 2013 17:12:52 +0200
Package: wnpp
Severity: wishlist

--- Please fill out the fields below. ---

   Package name: libjavaewah-java
        Version: 0.6.12
Upstream Author: Daniel Lemire (http://lemire.me/en/)
            URL: https://code.google.com/p/javaewah/
        License: Apache-2.0
    Description: Compressed variant of the Java bitset class

 The bit array data structure is implemented in Java as the BitSet class.
 Unfortunately, this fails to scale without compression.
 .
 JavaEWAH is a word-aligned compressed variant of the Java bitset class. It uses
 a 64-bit run-length encoding (RLE) compression scheme. It trades-off some
 compression for better processing speed. It also has a 32-bit version which
 compresses better, but is not as fast.
 .
 In general, the goal of word-aligned compression is not to achieve the best
 compression, but rather to improve query processing time. Hence, the class
 tries to save CPU cycles, maybe at the expense of storage. However, the EWAH
 scheme implemented is always more efficient storage-wise than an uncompressed
 bitmap as implemented in the BitSet class). Unlike some alternatives, javaewah
 does not rely on a patented scheme.



Owner recorded as Jakub Adam <jakub.adam@ktknet.cz>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 12 Jun 2013 16:27:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 15 Aug 2013 08:09:07 GMT) Full text and rfc822 format available.

Reply sent to Jakub Adam <jakub.adam@ktknet.cz>:
You have taken responsibility. (Mon, 02 Sep 2013 16:03:55 GMT) Full text and rfc822 format available.

Notification sent to Jakub Adam <jakub.adam@ktknet.cz>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 16:03:55 GMT) Full text and rfc822 format available.

Message #14 received at 712051-close@bugs.debian.org (full text, mbox):

From: Jakub Adam <jakub.adam@ktknet.cz>
To: 712051-close@bugs.debian.org
Subject: Bug#712051: fixed in libjavaewah-java 0.6.12-1
Date: Mon, 02 Sep 2013 16:00:11 +0000
Source: libjavaewah-java
Source-Version: 0.6.12-1

We believe that the bug you reported is fixed in the latest version of
libjavaewah-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 712051@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jakub Adam <jakub.adam@ktknet.cz> (supplier of updated libjavaewah-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 11 Jun 2013 19:50:21 +0200
Source: libjavaewah-java
Binary: libjavaewah-java libjavaewah-java-doc
Architecture: source all
Version: 0.6.12-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Jakub Adam <jakub.adam@ktknet.cz>
Description: 
 libjavaewah-java - Compressed variant of the Java bitset class
 libjavaewah-java-doc - Compressed variant of the Java bitset class (documentation)
Closes: 712051
Changes: 
 libjavaewah-java (0.6.12-1) unstable; urgency=low
 .
   * Initial release. (Closes: #712051)
Checksums-Sha1: 
 1e101087e49370a61ca138ed382681fc08f4eed9 2219 libjavaewah-java_0.6.12-1.dsc
 30f43ac026b30f815af942fa5cabc0fabad7b86f 30328 libjavaewah-java_0.6.12.orig.tar.xz
 e505a014216ade2fe9ce60ef744f0d8f332fc41c 2977 libjavaewah-java_0.6.12-1.debian.tar.gz
 e5bad845319b1b73a478041adb29577d541b6d45 58174 libjavaewah-java_0.6.12-1_all.deb
 372999838e90e3794430624a79e41ca5c51ac2ea 54576 libjavaewah-java-doc_0.6.12-1_all.deb
Checksums-Sha256: 
 02f9d1d3326863fa4743d6e35b8205323373c8bd3c9218ef1a6a167478c98292 2219 libjavaewah-java_0.6.12-1.dsc
 3c82e8ff2789e5211943e952ce4ee8be18ada8dbce1b77f9cd1a896153dcfb4b 30328 libjavaewah-java_0.6.12.orig.tar.xz
 7f6df22433469b336184a56c758c1fadbfc2059caa50f860456451b68c02ec7d 2977 libjavaewah-java_0.6.12-1.debian.tar.gz
 5e896accc92b309926100e165453b0b89cb33e1e80237b74a5b93ed478327a27 58174 libjavaewah-java_0.6.12-1_all.deb
 7601d4de1b0977ecafdc84948ce73b9efecef60dedc7ad8d0efe64c2743e78aa 54576 libjavaewah-java-doc_0.6.12-1_all.deb
Files: 
 e3d08b7677c28d34d328eddf13abf100 2219 java optional libjavaewah-java_0.6.12-1.dsc
 2af66e2230f94c74b5c4287d52bd43de 30328 java optional libjavaewah-java_0.6.12.orig.tar.xz
 46f1b744bf1584576efd26a24f23d77f 2977 java optional libjavaewah-java_0.6.12-1.debian.tar.gz
 e46f0afc1647d4d5cc6b130fe239093a 58174 java optional libjavaewah-java_0.6.12-1_all.deb
 2d0b5f432a7730f0018fefd2adf65308 54576 doc optional libjavaewah-java-doc_0.6.12-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSDGZVAAoJECHSBYmXSz6WaZsP/3PS20HB5pd+idr2+CQAHcZn
85XTb613OO77x2Dt5puYLWJc6vb8CYvAvMFElJPIUwfTUxIMcT0LapEwJiL62eut
PWXxxqWCIJLmWSWoJs8f+XAnnsLASAqunC4S3NeoVJam754P8WYA2DtivJucrPJo
4ES8oAQzUnnagcJu0/nLoJnCEbG0X86p9MzJqRYa83OzRwcUfbuIE6Pm5SH2JOqt
JBa7rEa7HDEzKfhPrS2LRBsI/DWaxwuLa1z+XNOO4PaIAmot1gpV/K5MiPlUfQy/
BM6V/hCsfzg7yWVZuKbPVWlcadquAfLaRbkSuS02m0eO1YLw46o9SyOqYW0YAPt+
/rZ/P9fne5MAHDNXxqCKo5n3TbY3tb+2Xy9E8xravgw5bTY7OZ9cS0CCRJnngxh9
DEUBetyrCtueFB+jOPsYoHTa+cEZ6r41AYaSUDtciDVxbPkmMG6UUd1J0nYwwhIi
9Ao6lV97X3UMl9q+7SZflng2jSRlBeHrkKVTUlaJ8GoPgv25XP27eKPgEhbwzJ8U
4heoW6KbOukIlNna4pa3bJ7R4Q99TJNI2AOXlHX8W7dwuyvRmRjy/sLi1xdxqW/P
4UJIOTrtpUhTuPZPYz+XWnC10y+asQ9zQddWzsErf0SsXjprMe3oEWzp/I0dsbZs
NOb/GdDXlI0qXSm4S1Yx
=+9FD
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:39:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:13:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.